{% extends "base.html" %}
{% load static %}
{% load rules %}

{% block content %}
    {% has_perm 'organizacao.cadastrar' user as pode_cadastrar_organizacao %}
    <h3>Organizações {% if pode_cadastrar_organizacao %} <a class="btn btn-success btn-sm" href="{% url 'organizacao_create' %}"><i class="fa fa-plus mr-1"></i> nova organização</a>{% endif %}</h3>
    <div class="row mt-5">
        {% if object_list|length > 0 %}
            <div class="col-md-12">
                <table class="table table-striped datatable add-export-buttons fit-to-page">
                    <thead>
                        <tr>
                            <th>Organização</th>
                            <th>Integrantes</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for object in object_list %}
                        <tr>
                            <td><a href="{{ object.get_absolute_url }}">{{ object }}</a></td>
                            <td>{{ object.usuarias.count }} usuárias/os</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                    <tfoot>
                        <tr>
                            <th>Organização</th>
                            <th>Integrantes</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        {% else %}
            <div class="col-md-12">
                <div class="alert alert-dark">
                    <h5>Ainda não há organizações cadastradas. Seja a/o primeira/o a <a href="{% url 'organizacao_create' %}">criar uma</a>.</h5>
                </div>
            </div>
        {% endif %}
    </div>

{% endblock %}
